#
# spec file for package python-sqlite2
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

# norootforbuild

Name:			 python-sqlite2
Summary:		 Python bindings for SQLite
Version:		 2.6.0
Release:		 1.1
License:		 Free Text - see docudir
Group:			 Development/Libraries/Python
Url:			 http://code.google.com/p/pysqlite/
Source:			 pysqlite-%{version}.tar.bz2
BuildRoot: 		 %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: 	 sqlite-devel python-devel
%py_requires

%description
This packages allows you to use SQLite 3.x with python.
SQLite is a simple database engine.

pysqlite makes this powerful embedded SQL engine available to 
Python programmers. It stays compatible with the Python database 
API specification 2.0 as much as possible, but also exposes most 
of SQLite's native API, so that it is for example possible to 
create user-defined SQL functions and aggregates in Python.

Author(s):
----------
    Gerhard Häring


%prep
%setup -n pysqlite-%{version}
%{__rm} doc/install-source*

%build
%{__python} setup.py build

%install
%{__python} setup.py install \
            --root="%{buildroot}" \
            --prefix="%{_prefix}"

%{__rm} -rf %{buildroot}%{_prefix}/pysqlite2-doc
# until we have sphinx up and working in the repo
rm -rf doc/sphinx/.static

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc LICENSE doc/
%{py_sitedir}*

%changelog
* Fri May  7 2010 lars@linux-schulserver.de
- move Group to Development/Libraries/Python
* Sat Mar  6 2010 lars@linux-schulserver.de
- update to 2.6.0
  + Added iteration and equality (hashability).
    This method returns a tuple of column names. Immediately after
    a query, it is the first member of each tuple in
    :attr:`Cursor.description`.
* Tue May 12 2009 lars@linux-schulserver.de
- update to 2.5.5
  + Python compatibility fixes
  + Only reset cursors after rollback, not after commit. Fixes
    problem where an implicity commit by a PRAGMA statement
    invalidated the cursor
  + Connection.enable_load_extension(enabled) to allow/disallow
    extension loading.
  + Fixed check if non-UTF8 strings are acceptable input.
  + For better DB-API compliance, operations on closed cursors now
    raise exceptions.
  + made .connect(..., isolation_level=None) work again.
  [#]## NOT READY YET ###
* Sun May 11 2008 lars@linux-schulserver.de
- update to 2.4.1
* Wed Oct 10 2007 lrupp@suse.de
- Update to 2.3.5:
  + Using mappings and sequences as parameters works now too.
  + implicit ROLLBACKs work now
  + Performance optimizations that pay off especially for mass DML
    operations
  + A Python 2.3 compatibility fix in the test suite.
* Tue Jul  3 2007 lrupp@suse.de
- Update to 2.3.4:
  + Under some circumstances it's was not possible to close the
    connection object. This happened if you still had cursor objects
    around with statements that were no longer in the cached
    statements pool. This was fixed by finalizing all statements
    that were created from the connection instead of only those
    that are still found in the connection pool.
  + SQLite often does not report useful error messages when the
    stepped-on statement was not reset first.
    Now we make sure that's always the case.
  + Merged missing corrections for sample code from Python
    core version.
  + Allow the size parameter for fetchmany() for better DB-API
    compliance.
  + Applied patch from #184. This defers the implicit
    BEGINs/COMMITs and thus improves concurrency.
  + Print a warning if somebody tries to run the pysqlite test
    suite from the pysqlite root directory and exit.
- remove the install-source* files: this is done via installing
  the rpm already
* Sun Feb 25 2007 lrupp@suse.de
- specfile cleanup
* Thu Jan 18 2007 judas_iscariote@shorewall.net
- update to 2.3.3
- build with -fno-strict-aliasing otherwise gcc complains
- deactivate unneeded patch
* Thu Dec  7 2006 lrupp@suse.de
- Initial package for the build service
